CREATE TABLE gl_cross_rate_temp (
    CONVERSION_TYPE            VARCHAR2(120)    NOT NULL,
    PIVOT_CURRENCY             VARCHAR2(60)     NOT NULL,
    FROM_CURRENCY              VARCHAR2(60)     NOT NULL,
    TO_CURRENCY                VARCHAR2(60)     NOT NULL,
    FROM_CONVERSION_DATE       DATE             NOT NULL,
    TO_CONVERSION_DATE         DATE             NOT NULL,
    CONVERSION_RATE            NUMBER           NOT NULL,
    INVERSE_CONVERSION_RATE    NUMBER       ,
    MODE_FLAG                  VARCHAR2(4)  ,
    USED_FOR_AB_TRANSLATION    VARCHAR2(4)  ,
    CONVERSION_TYPE            VARCHAR2(120)    NOT NULL,
    PIVOT_CURRENCY             VARCHAR2(60)     NOT NULL,
    FROM_CURRENCY              VARCHAR2(60)     NOT NULL,
    TO_CURRENCY                VARCHAR2(60)     NOT NULL,
    FROM_CONVERSION_DATE       DATE             NOT NULL,
    TO_CONVERSION_DATE         DATE             NOT NULL,
    CONVERSION_RATE            NUMBER           NOT NULL,
    INVERSE_CONVERSION_RATE    NUMBER       ,
    MODE_FLAG                  VARCHAR2(4)  ,
    USED_FOR_AB_TRANSLATION    VARCHAR2(4)  
);
